## org.jfree.chart.title
Class CompositeTitle

    java.lang.Object
      org.jfree.chart.block.AbstractBlock
          org.jfree.chart.title.Title
              org.jfree.chart.title.CompositeTitle

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Block, org.jfree.ui.Drawable

    public class CompositeTitle

extends Title

A title that contains multiple titles within a `BlockContainer`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jfree.chart.title.Title
`DEFAULT_HORIZONTAL_ALIGNMENT, DEFAULT_PADDING, DEFAULT_POSITION, DEFAULT_VERTICAL_ALIGNMENT`

Constructor Summary
`CompositeTitle()` Creates a new composite title with a default border arrangement.
`CompositeTitle(BlockContainer container)` Creates a new title using the specified container.

Method Summary
`org.jfree.ui.Size2D` `arrange(java.awt.Graphics2D g2, RectangleConstraint constraint)` Arranges the contents of the block, within the given constraints, and returns the block size.
`void` `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area)` Draws the title on a Java 2D graphics device (such as the screen or a printer).
`BlockContainer` `getContainer()` Returns the container holding the titles.
`void` `setTitleContainer(BlockContainer container)` Sets the title container.

Methods inherited from class org.jfree.chart.title.Title
`addChangeListener, clone, equals, getHorizontalAlignment, getNotify, getPosition, getVerticalAlignment, hashCode, notifyListeners, removeChangeListener, setHorizontalAlignment, setNotify, setPosition, setVerticalAlignment`

Methods inherited from class org.jfree.chart.block.AbstractBlock
`arrange, calculateTotalHeight, calculateTotalWidth, drawBorder, getBorder, getBounds, getHeight, getID, getMargin, getPadding, getWidth, setBorder, setBounds, setHeight, setID, setMargin, setPadding, setWidth, toContentConstraint, trimBorder, trimMargin, trimPadding, trimToContentHeight, trimToContentWidth`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.chart.block.Block
`arrange, getBounds, getID, setBounds, setID`

Constructor Detail

### CompositeTitle

    public CompositeTitle()

  Creates a new composite title with a default border arrangement.

### CompositeTitle

    public CompositeTitle(BlockContainer container)

  Creates a new title using the specified container.

  Parameters:
    `container` - the container (`null` not permitted).

Method Detail

### getContainer

    public BlockContainer getContainer()

  Returns the container holding the titles.

  Returns:
    The title container (never `null`).

### setTitleContainer

    public void setTitleContainer(BlockContainer container)

  Sets the title container.

  Parameters:
    `container` - the container (`null` not permitted).

### arrange

    public org.jfree.ui.Size2D arrange(java.awt.Graphics2D g2,
                                       RectangleConstraint constraint)

  Arranges the contents of the block, within the given constraints, and returns the block size.

  Specified by:
    `arrange` in interface `Block`
  Overrides:
    `arrange` in class `AbstractBlock`
  Parameters:
    `g2` - the graphics device.
    `constraint` - the constraint (`null` not permitted).
  Returns:
    The block size (in Java2D units, never `null`).

### draw

    public void draw(java.awt.Graphics2D g2,
                     java.awt.geom.Rectangle2D area)

  Draws the title on a Java 2D graphics device (such as the screen or a printer).

  Specified by:
    `draw` in interface `org.jfree.ui.Drawable`
  Specified by:
    `draw` in class `Title`
  Parameters:
    `g2` - the graphics device.
    `area` - the area allocated for the title.